package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;

import java.util.Date;

public class HostPerf extends Generic {

	@PK(value = PKStrategy.AUTO)
	private Long id;
	@Column("host_name")
	private String hostName;
	@Column("cpu_util")
	private Float cpuUtil;
	@Column("disk_util")
	private Float diskUtil;
	@Column("mem_util")
	private Float memUtil;
	@Column("network_incoming")
	private Float networkIncoming;
	@Column("network_outgoing")
	private Float networkOutgoing;
	@Column("gmt_create")
	private Date gmtCreate;
	@Column("is_gather")
	private int isGather;
	@Column("vendor_id")
	private Long vendorId;

	public Long getVendorId() {
		return vendorId;
	}

	public void setVendorId(Long vendorId) {
		this.vendorId = vendorId;
	}

	public Date getGmtCreate() {
		return gmtCreate;
	}

	public void setGmtCreate(Date gmtCreate) {
		this.gmtCreate = gmtCreate;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getHostName() {
		return hostName;
	}

	public void setHostName(String hostName) {
		this.hostName = hostName;
	}

	public Float getCpuUtil() {
		return cpuUtil;
	}

	public void setCpuUtil(Float cpuUtil) {
		this.cpuUtil = cpuUtil;
	}

	public Float getDiskUtil() {
		return diskUtil;
	}

	public void setDiskUtil(Float diskUtil) {
		this.diskUtil = diskUtil;
	}

	public Float getMemUtil() {
		return memUtil;
	}

	public void setMemUtil(Float memUtil) {
		this.memUtil = memUtil;
	}

	public Float getNetworkIncoming() {
		return networkIncoming;
	}

	public void setNetworkIncoming(Float networkIncoming) {
		this.networkIncoming = networkIncoming;
	}

	public Float getNetworkOutgoing() {
		return networkOutgoing;
	}

	public void setNetworkOutgoing(Float networkOutgoing) {
		this.networkOutgoing = networkOutgoing;
	}

	public int getIsGather() {
		return isGather;
	}

	public void setIsGather(int isGather) {
		this.isGather = isGather;
	}

}
